FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get direct debits

Returns list of banking account direct debits available under the authorised consent

AI Actions
GET
/v1/banking/accounts/direct-debits

Returns list of banking account direct debits available under the authorised consent

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/banking/accounts/direct-debits?end_user_id=string"
{
  "direct_debits": [
    {
      "account_id": "123456789",
      "arrangement_id": "90bfd779-e8eb-4e9f-87b3-5191ba7332c2",
      "authorised_entity": {
        "abn": "12345678901",
        "acn": "123456789",
        "arbn": "123456789",
        "description": "Payment for utilities",
        "financial_institution": "Bank of Example"
      },
      "fiskil_id": "bank_dd_12345abcdef",
      "institution_id": "40",
      "last_debit_amount": "100.00",
      "last_debit_date_time": "2024-09-10T15:30:00Z"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get usageList accounts